> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v13/reference/report-export/report-export.md).

# Report Export

## Export a Report Asynchronously

> Schedules a job to export a report. The response contains URIs to poll for job status and to download the result file.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Reports & Exports","version":"v13"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}}},"paths":{"/Advertisers/{AccountSID}/ReportExport/{ReportId_or_Handle}":{"get":{"summary":"Export a Report Asynchronously","description":"Schedules a job to export a report. The response contains URIs to poll for job status and to download the result file.","operationId":"exportReport","tags":["Report Export"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ReportId_or_Handle","in":"path","required":true,"description":"The unique ID or handle for the report (e.g., '4222' or 'adv_click_data_pm_only').","schema":{"type":"string"}},{"name":"SUBAID","in":"query","description":"Program ID to refine the report. Required for most reports.","schema":{"type":"integer"}},{"name":"StartDate","in":"query","description":"Start date for the report data as an ISO 8601 date-time (YYYY-MM-DDThh:mm:ssZ), e.g. 2026-01-15T00:00:00Z. Required for most reports.","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","description":"End date for the report data as an ISO 8601 date-time (YYYY-MM-DDThh:mm:ssZ), e.g. 2026-01-15T00:00:00Z. Required for most reports.","schema":{"type":"string","format":"date-time"}},{"name":"CONV_CURRENCY","in":"query","description":"Specify the report's currency (e.g., USD).","schema":{"type":"string"}},{"name":"ResultFormat","in":"query","description":"The file format for the exported report.","schema":{"type":"string","enum":["CSV","JSON","XML"],"default":"CSV"}}],"responses":{"200":{"description":"The job has been queued successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the job was queued successfully."},"QueuedUri":{"type":"string","format":"uri-reference","description":"The URI to poll for the job's status."},"ResultUri":{"type":"string","format":"uri-reference","description":"The URI to download the result file once the job completes."}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v13/reference/report-export/report-export.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
